## cmospwd 5.0+dfsg

=== src/Makefile ===
CC=gcc
CFLAGS=-Wall -W -O2

cmospwd: cmospwd.c
	$(CC) $(CFLAGS) -o cmospwd cmospwd.c

=== debian/changelog ===
cmospwd (5.0+dfsg-2) unstable; urgency=low

  * Include fix for FTBFS on KFreeBSD (Closes: #580673) 
  * Restrict archs to i386 and amd64, along with their KFreeBSD 
    counterparts.

 -- Luke Faraone <luke@faraone.cc>  Mon, 10 May 2010 10:54:23 -0400

cmospwd (5.0+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #571942)

 -- Luke Faraone <luke@faraone.cc>  Sun, 28 Feb 2010 13:08:22 -0500

=== debian/control ===
Source: cmospwd
Section: utils
Priority: optional
Maintainer: Luke Faraone <luke@faraone.cc>
Build-Depends: cdbs (>= 0.4.49), debhelper (>= 7)
Standards-Version: 3.8.4
DM-Upload-Allowed: yes
Vcs-Bzr: https://code.launchpad.net/~lfaraone/cmospwd/debian
Homepage: http://www.cgsecurity.org/wiki/CmosPwd

Package: cmospwd
Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 
Depends: ${shlibs:Depends},  ${misc:Depends},
Description: decrypt BIOS passwords from CMOS
 CmosPwd is a cross-platform tool to decrypt password stored in CMOS used 
 to access a computer's BIOS setup.
 . 
 This application should work out of the box on most modern systems, but 
 some more esoteric BIOSes may not be supported or may require additional 
 steps.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_SRCDIR = $(CURDIR)/src

# Path to the debian directory
DEBIAN_DIR := $(shell echo ${MAKEFILE_LIST} | awk '{print $$1}' | xargs dirname )
UPSTREAM_VERSION ?=$(shell uscan --dehs | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')
PACKAGE := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
CURRENT_VERSION ?=$(shell dpkg-parsechangelog | sed -n 's/^Version: \(.*\)+dfsg.*/\1/p')

get-orig-source:
	cd ${DEBIAN_DIR}/.. && uscan --force-download --upstream-version $(CURRENT_VERSION)
	tar xf ../$(PACKAGE)-${UPSTREAM_VERSION}.tar.bz2 #${CURDIR}/$(PACKAGE)-${UPSTREAM_VERSION}
	rm ${CURDIR}/$(PACKAGE)-${UPSTREAM_VERSION}/src/cmospwd
	tar cf ${CURDIR}/${DEB_SOURCE_PACKAGE}_${UPSTREAM_VERSION}+dfsg.orig.tar $(PACKAGE)-${UPSTREAM_VERSION}/
	gzip ${CURDIR}/${DEB_SOURCE_PACKAGE}_${UPSTREAM_VERSION}+dfsg.orig.tar

install/cmospwd:: 
	dh_installdirs usr/sbin
	install -m 755 src/cmospwd debian/cmospwd/usr/sbin/cmospwd

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// \
http://www.cgsecurity.org/wiki/CmosPwd http://www.cgsecurity.org/cmospwd-(.*)\.tar\.bz2
